/* compilecsd.  
   ccsd1.csd
   Use of compilecsd to perform a compiled instrument.
   Schedule opcode performs the instrument 4 times,
   increasing pitch each time thru the while loop.
   J. Hearon
*/

<CsoundSynthesizer>
<CsOptions>
;-o dac -d
csound -s -d -+rtaudio=ALSA -odevaudio -b1024 -B16384  
</CsOptions>
<CsInstruments>

sr	=	44100
kr	=	4410
ksmps	=	10
nchnls	=	2
0dbfs = 1

giCntr init 1;
giPitch init 400;

instr 1
ires compilecsd "does_not_exist.csd"
print ires ; -1 as could not compile
;adjust path here as needed
ires compilecsd "/opt/csound6-git/MetaExs/compilecsd/ClassicWaves.csd"
print ires ; 0 as compiled successfully

  idur = 2
  iwhen = 0
while giCntr < 5 do
  schedule 2002, iwhen, idur, giPitch, giCntr, 2
printf_i "***instr1, GiCntr = %d \n", 1, giCntr
  iwhen = iwhen + 3
giCntr = giCntr+1
giPitch = giPitch + 200
od

endin

</CsInstruments>
<CsScore>
i1 0 10

</CsScore>
</CsoundSynthesizer>
