/* compilecsd.  
   ccsd2.csd
   Use of compilecsd with separate instruments
   to perform more than one compiled instrument.
   J. Hearon
*/

<CsoundSynthesizer>
<CsOptions>
;-o dac -d
csound -s -d -+rtaudio=ALSA -odevaudio -b1024 -B16384  
</CsOptions>
<CsInstruments>


sr	=	44100
kr	=	4410
ksmps	=	10
nchnls	=	2
0dbfs = 1

giCntr init 1;
giPitch init 400;
giCntr2 init 1;
giPitch2 init 800;

instr 1
ires compilecsd "does_not_exist.csd"
print ires ; -1 as could not compile
;adjust path here as needed
ires compilecsd "/opt/csound6-git/MetaExs/compilecsd/ClassicWaves.csd"
print ires ; 0 as compiled successfully

  idur = 2
  iwhen = 0

while giCntr < 5 do
  schedule 2002, iwhen, idur, giPitch, giCntr, 2
printf_i "***instr1, GiCntr = %d \n", 1, giCntr
  iwhen = iwhen + 3
giCntr = giCntr+1
giPitch = giPitch + 200
od

endin

instr 2

ires compilecsd "does_not_exist.csd"
print ires ; -1 as could not compile
;adjust path here as needed
ires compilecsd "/opt/csound6-git/MetaExs/compilecsd/ClassicWaves2.csd"
print ires ; 0 as compiled successfully

  idur = 2
  iwhen = 0

while giCntr2 < 5 do
  schedule 2003, iwhen, idur, giPitch2, giCntr2, 2
printf_i "***instr1, GiCntr2 = %d \n", 1, giCntr2
  iwhen = iwhen + 3
giCntr2 = giCntr2+1
giPitch2 = giPitch2 - 100
od

endin

</CsInstruments>
<CsScore>
i1 0 10
i2 12 10

</CsScore>
</CsoundSynthesizer>
