
<CsoundSynthesizer>
<CsOptions>

csound -s -d -+rtaudio=ALSA -odevaudio -b1024 -B16384  

</CsOptions>
<CsInstruments>

sr	=	44100
kr	=	4410
ksmps	=	10
nchnls	=	2
0dbfs   =       1

	instr	2	; simple 440hz oscillator
kenv linseg 0, p3*0.25, 1, p3*0.75, 0

a1	oscil	kenv, 400, p4
 	outs	a1, a1
 	endin

</CsInstruments>
<CsScore>

; One period of a sine wave
f 1	0	8192	10	1
; One period of an approximate sawtooth wave
f 2	0	8192	10	1 0.5 0.333 0.25 0.2 0.1667 0.1429 0.125 0.111 0.1
; One period of an approximate square wave
f 3	0	8192	10	1 0 0.333 0 0.2 0 0.1429 0 0.111 0
; One period of an approximate triangle wave
f 4	0	8192	10	1 0 -0.111 0 0.04 0 -0.0204 0 0.0123 0 -0.0083 0 0.0059


i2 0 2 1
i2 2 2 2
i2 4 2 3
i2 6 2 4
e

</CsScore>
</CsoundSynthesizer>
