/* compilecsd.  
   ccsd3.csd
   Use of compilecsd and a single instrument
   to perform more than one compiled instrument.
   J. Hearon
*/

<CsoundSynthesizer>
<CsOptions>
;-o dac -d
csound -s -d -+rtaudio=ALSA -odevaudio -b1024 -B16384  
</CsOptions>
<CsInstruments>


sr	=	44100
kr	=	4410
ksmps	=	10
nchnls	=	2
0dbfs = 1

giCntr init 1;
giPitch init 500;
gitable init 0;

instr 1
ires compilecsd "instr1 does_not_exist.csd"
print ires ; -1 as could not compile
;adjust path here as needed
ires compilecsd "/opt/csound6-git/MetaExs/compilecsd/ClassicWaves.csd"
print ires ; 0 as compiled successfully

ires2 compilecsd "instr2 does_not_exist.csd"
print ires2 ; -1 as could not compile
;adjust path here as needed
ires compilecsd "/opt/csound6-git/MetaExs/compilecsd/ClassicWaves2.csd"
print ires2 ; 0 as compiled successfully

  idur = 2
  iwhen = 0

while giCntr < 9 do

  if (giCntr < 5) igoto first
  igoto second

  first:
  instnum = 2002
  giPitch = giPitch + 100
  gitable = giCntr
  igoto play

  second:
  instnum = 2003
  giPitch = giPitch - 100
  gitable = 9 - giCntr
  igoto play

play:
  schedule instnum, iwhen, idur, giPitch, gitable, 2
  printf_i "***instr %d, GiCntr = %d, gitable = %d\n", 1, instnum, giCntr, gitable
  iwhen = iwhen + 3
  giCntr = giCntr+1

od
endin

</CsInstruments>
<CsScore>
i1 0 25


</CsScore>
</CsoundSynthesizer>
