
/*
example of csound include
mylist.csd
Uses an external file, mylist.inc
to hold score data.
J. Hearon
*/


<CsoundSynthesizer>
<CsOptions>
csound -s -d -+rtaudio=ALSA -odevaudio -b1024 -B16384  
</CsOptions>
<CsInstruments>

sr	=	44100
kr	=	4410
ksmps	=	10
nchnls	=	2
0dbfs = 1

	instr	2002	; simple 440hz oscillator
;kenv linseg 0, p3*0.25, 1, p3*0.75, 0

kenv	linseg	0.01,p3*.33,1,p3*.33,1,p3*.33,0.01

a1	oscil	kenv, 440, p4
 	outs	a1, a1
 	endin

</CsInstruments>
<CsScore>

;adjust path here as needed
#include "/opt/csound6-git/MetaExs/include/mylist.inc"
e

</CsScore>
</CsoundSynthesizer>
